Poko API
Videos

List videos

GET
/api/workspaces/{workspaceId}/videos

Videos this key started in the last 30 days. Each page is sorted newest first, but pages are not in date order; read every page to see them all.

Authorization

apiKey
headerAuthorizationBearer <token>

A Poko API key (poko_live_…) from Poko Motion → Settings → API.

Path Parameters

workspaceId*string

Workspace id. GET /api/me returns the key's default workspace (workspaceId); GET /api/workspace/mine lists all of them.

Query Parameters

status?string

Comma-separated: queued, dispatching, accepted, running, completed, failed, cancelled.

after?string

Only videos started after this ISO time.

limit?integer
Range1 <= value <= 100
cursor?string

The cursor from the previous page.

Response Body

Success

application/json
  1. response
success?boolean
data?
Example Request
curl -X GET 'https://api.poko.video/api/workspaces/string/videos'
Example Response
{  "success": true,  "data": {    "videos": [      {        "projectId": "Pj4kT9wQzN",        "chatId": "chat-mh3k2x9a-4f7qz",        "queued": false,        "requestId": "3f9c2a71-5b8e-4d2a-9c41-7e6b0d5a8f12",        "status": "completed",        "keyId": "kQ7vX2mLp9Za",        "workspaceId": "Wk7pQ2xR",        "deliveryAttempts": 1,        "nextAttemptAt": null,        "cancellationPending": false,        "createdAt": "2026-11-05T08:56:50.208Z",        "updatedAt": "2026-11-05T09:04:13.771Z"      }    ],    "cursor": "eyJTSyI6IlJFUVVFU1QjM2Y5YzJhNzEtNWI4ZS00ZDJhLTljNDEtN2U2YjBkNWE4ZjEyIiwiUEsiOiJBVVRPTUFUSU9OI1drN3BRMnhSIn0"  }}